読者です 読者をやめる 読者になる 読者になる

gentooでびっくりしたこと

3号です。gentooで、

sudo emerge --ask rmagick

とかしたら、依存でRubyも入るんですね。そしたらbundlerが動かなくなったんですね。調べてみたらRUBYOPT=-rauto_gemがセットされてた。一時間くらい何が起きたかわからなかった。rmagickもgemで入れたらいいだけなんだけどね。

似たような被害に遭っている方はいるようですが、みなさまはrvm関連のようです。私は別ケースでしたが。gentooでRubyを扱うときはご注意を。

なんでGentoo使ってるの?

言えねえ。